Subject: bug#37836: 27.0.50; Snake exit not save produces segfault

From: Ergus <[email-masked]>
Date: Wed, 22 Jan 2020 12:25:52 +0100

On Wed, Jan 22, 2020 at 10:22:38AM +0100, Stefan Kangas wrote:
>Jimmy Aguilar Mena <[email-masked]> writes:
>
>> rm -rf ~/.emacs.d/games
>> emacs -Q
>> M-x snake
>> (wait until it looses and asks to create directory)
>> reply: n
>>
>> Now there is a message (when previously there was a segfault):
>> Error running timer .snake-update-game.: (error "Canceled")
>
>Thanks, yes, I get the same message.
>
>Your bug report was sent using revision c2cd27bce.
>
>Between that revision and HEAD as of today, there has been no change
>to any code in the play/ directory AFAICT.
>
>This makes me suspect that the crash is in fact not related to snake,
>as Eli suggested may be the case.  Which leads me to the below question:
>
>> When I said yes there was not segfault anymore.
>
>When you saw it, were you able to reproduce it consistently using the
>recipe you gave above?
>
Yes, but I can't reproduce it now doing a checkout to c2cd27bce.

>Best regards,
>Stefan Kangas